Bug 201822 - Exiting certain fullscreen games causes X to crash, terminating the session
Exiting certain fullscreen games causes X to crash, terminating the session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-08 23:04 EDT by Stewart Adam
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 10:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-08-08 23:04:53 EDT
Description of problem:
When quitting an certain games, (I think it's related to OpenGL) a X crashes and
therefore terminates the session.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-16.fc6
mesa-libGL-6.5-20.fc6
mesa-libGLU-6.5-20.fc6
freeglut-2.4.0-9.fc6

How reproducible:
Always

Steps to Reproduce:
1. Start a OpenGL program like GL-117, SuperTux, or BZFlag.
2. Change resolution settings (not absolutely needed, but works best to make the
bug)
3. Restart the game either by having do it for you (the case of SuperTux) or by
clicking 'Exit'. On my computer, X crashes here and I don't get a change to
start the game again as the session was terminated.
  
Actual results:
X crashes, Gnome /KDE session terminated

Expected results:
X doesn't crash

Additional info:
I'm on a 64MB nVidia card, but using the 'nv' driver.
Comment 1 Adam Jackson 2006-08-09 08:40:10 EDT
Please attach /var/log/Xorg.0.log.old after triggering the crash; it should list
a backtrace at the bottom of the file.
Comment 2 Stewart Adam 2006-08-10 10:55:20 EDT
I can't seem to reproduce it now, but I've also done an update to
xorg-x11-server-xorg - I think we can close this as RAWHIDE...

Note You need to log in before you can comment on or make changes to this bug.